Bug 894278 - [abrt] bacula-console-bat-5.2.12-3.fc17: QHashNode: Process /usr/sbin/bat was killed by signal 11 (SIGSEGV)
[abrt] bacula-console-bat-5.2.12-3.fc17: QHashNode: Process /usr/sbin/bat was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
abrt_hash:017c5130f0bd7d3b19d0f7eb5cc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-11 04:49 EST by Gergely POLONKAI
Modified: 2013-08-01 01:37 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:37:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.54 KB, text/plain)
2013-01-11 04:49 EST, Gergely POLONKAI
no flags Details
File: environ (2.66 KB, text/plain)
2013-01-11 04:49 EST, Gergely POLONKAI
no flags Details
File: backtrace (25.18 KB, text/plain)
2013-01-11 04:49 EST, Gergely POLONKAI
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-11 04:49 EST, Gergely POLONKAI
no flags Details
File: cgroup (139 bytes, text/plain)
2013-01-11 04:49 EST, Gergely POLONKAI
no flags Details
File: smolt_data (3.32 KB, text/plain)
2013-01-11 04:49 EST, Gergely POLONKAI
no flags Details
File: executable (13 bytes, text/plain)
2013-01-11 04:49 EST, Gergely POLONKAI
no flags Details
File: maps (65.77 KB, text/plain)
2013-01-11 04:49 EST, Gergely POLONKAI
no flags Details
File: dso_list (14.65 KB, text/plain)
2013-01-11 04:49 EST, Gergely POLONKAI
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2013-01-11 04:49 EST, Gergely POLONKAI
no flags Details
File: open_fds (525 bytes, text/plain)
2013-01-11 04:49 EST, Gergely POLONKAI
no flags Details
File: var_log_messages (770 bytes, text/plain)
2013-01-11 04:50 EST, Gergely POLONKAI
no flags Details

  None (edit)
Description Gergely POLONKAI 2013-01-11 04:49:04 EST
Version-Release number of selected component:
bacula-console-bat-5.2.12-3.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/sbin/bat -c /etc/bacula/bat.conf
crash_function: QHashNode
kernel:         3.6.10-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 QHashNode at /usr/include/QtCore/qhash.h:253
: #1 QHash<int, DirComm*>::duplicateNode at /usr/include/QtCore/qhash.h:532
: #2 QHashData::detach_helper2 at tools/qhash.cpp:239
: #3 QHash<int, DirComm*>::detach_helper at /usr/include/QtCore/qhash.h:584
: #4 detach at /usr/include/QtCore/qhash.h:303
: #5 QHash<int, DirComm*>::remove at /usr/include/QtCore/qhash.h:788
: #6 Console::newDirComm at console/console.cpp:926
: #7 Console::populateLists at console/console.cpp:156
: #8 MainWin::popLists at mainwin.cpp:122
: #9 QMetaObject::activate at kernel/qobject.cpp:3539
Comment 1 Gergely POLONKAI 2013-01-11 04:49:36 EST
Created attachment 676746 [details]
File: core_backtrace
Comment 2 Gergely POLONKAI 2013-01-11 04:49:38 EST
Created attachment 676747 [details]
File: environ
Comment 3 Gergely POLONKAI 2013-01-11 04:49:40 EST
Created attachment 676748 [details]
File: backtrace
Comment 4 Gergely POLONKAI 2013-01-11 04:49:42 EST
Created attachment 676749 [details]
File: limits
Comment 5 Gergely POLONKAI 2013-01-11 04:49:45 EST
Created attachment 676750 [details]
File: cgroup
Comment 6 Gergely POLONKAI 2013-01-11 04:49:47 EST
Created attachment 676752 [details]
File: smolt_data
Comment 7 Gergely POLONKAI 2013-01-11 04:49:49 EST
Created attachment 676753 [details]
File: executable
Comment 8 Gergely POLONKAI 2013-01-11 04:49:51 EST
Created attachment 676754 [details]
File: maps
Comment 9 Gergely POLONKAI 2013-01-11 04:49:54 EST
Created attachment 676755 [details]
File: dso_list
Comment 10 Gergely POLONKAI 2013-01-11 04:49:56 EST
Created attachment 676756 [details]
File: proc_pid_status
Comment 11 Gergely POLONKAI 2013-01-11 04:49:58 EST
Created attachment 676757 [details]
File: open_fds
Comment 12 Gergely POLONKAI 2013-01-11 04:50:00 EST
Created attachment 676758 [details]
File: var_log_messages
Comment 13 Petr Hracek 2013-01-29 10:08:56 EST
Dear Gergely,

I am trying to simulate that one bug but it failed with the same reason as
https://bugzilla.redhat.com/show_bug.cgi?id=905309

best regards
Petr
Comment 14 Petr Hracek 2013-02-07 07:30:44 EST
Please provide me steps and how did you run the bat command either from console
or from GUI.

Did you run that from KDE or from Gnome?
What steps have been run before running BAT?
Where there configured any database (like postresql or sqlite).
Where there run any jobs?

It seems that it is relevant to QLibraries problem.

How to reproduce that problem?
Comment 15 Gergely Polonkai 2013-02-08 21:08:27 EST
Bat was running on a different machine than the director (director is a Debian, in a different subnet). Started from GNOME application list.

The director is running more or less error-free for a year now, with an SQLite backend.

I can't remember if there were running jobs, at that time usually there are none.

I can't reproduce the problem.
Comment 16 Fedora Admin XMLRPC Client 2013-06-05 14:56:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora End Of Life 2013-07-03 21:18:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2013-08-01 01:37:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.